POST api/DailyTasks
Request Information
URI Parameters
None.
Body Parameters
DailyTasksRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"pilotId": "af87cacc-a776-4d2f-b0a5-cc97e4cbbf94",
"date": "2026-03-20T18:46:16.4245951+00:00"
}
text/html
Sample:
{"pilotId":"af87cacc-a776-4d2f-b0a5-cc97e4cbbf94","date":"2026-03-20T18:46:16.4245951+00:00"}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Collection of Task| Name | Description | Type | Additional information |
|---|---|---|---|
| taskId | globally unique identifier |
None. |
|
| customerId | globally unique identifier |
None. |
|
| fieldId | globally unique identifier |
None. |
|
| materialId | globally unique identifier |
None. |
|
| protocolId | globally unique identifier |
None. |
|
| statusId | globally unique identifier |
None. |
|
| createdDate | date |
None. |
|
| executionDate | date |
None. |
|
| executionTeam | string |
None. |
|
| pilotId | globally unique identifier |
None. |
|
| approvedExecutionDate | date |
None. |
|
| approvedStatusId | globally unique identifier |
None. |
|
| scheduledDate | date |
None. |
|
| scheduledTeam | string |
None. |
|
| executionStatusId | globally unique identifier |
None. |
|
| Customer | Customer |
None. |
|
| Material | Material |
None. |
|
| Pilot | Pilot |
None. |
|
| Status | Status |
None. |
|
| Field | Field |
None. |
|
| Protocol | Protocol |
None. |
|
| ApprovedStatus | Status |
None. |
|
| ExecutionStatus | Status |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"taskId": "26cfebc7-fbbd-4f01-a5fa-e6a5549139aa",
"customerId": "424235fc-8772-4e7a-86be-7752f636bb9a",
"fieldId": "28abcb75-10a1-4c67-950d-7751649cae24",
"materialId": "b916db14-b190-4f17-8f81-a6ef24fb5bd8",
"protocolId": "5d873dbf-817a-460e-acce-fa8e2a57a5d7",
"statusId": "17775cb1-7032-4365-82bb-713927f3c44e",
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"executionDate": "2026-03-20T18:46:16.4245951+00:00",
"executionTeam": "sample string 8",
"pilotId": "dffdda24-8f42-4c6a-bbbb-626e84ddaeec",
"approvedExecutionDate": "2026-03-20T18:46:16.4245951+00:00",
"approvedStatusId": "8120d157-6c4f-44e9-8932-c954807265b5",
"scheduledDate": "2026-03-20T18:46:16.4245951+00:00",
"scheduledTeam": "sample string 9",
"executionStatusId": "148f7908-a83d-4c71-9ef5-b0aa57645924",
"Customer": {
"customerId": "e73d6404-e970-4650-81f1-7dcf5a19e336",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:46:16.4245951+00:00"
},
"Material": {
"materialId": "c141e4f4-7386-4dcc-b9db-6aa7108c236a",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"Pilot": {
"pilotId": "83d17c07-f766-4a24-9914-8170abe34b55",
"name": "sample string 2",
"pilotTypeId": "5507d6d9-0381-41bb-85b1-01fc50b955ea",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"PilotType": {
"pilotTypeId": "26edb9c4-8ddd-4d12-9364-16032ac6a941",
"name": "sample string 2"
}
},
"Status": {
"statusId": "ea99a876-833e-4c53-951c-8f5fd1dc7e15",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"Field": {
"fieldId": "ae731140-9204-4b48-bd5d-d6aa3b45aafc",
"customerId": "f6199996-0d56-47a1-ad27-b9395f86efa9",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "e73d6404-e970-4650-81f1-7dcf5a19e336",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:46:16.4245951+00:00"
}
},
"Protocol": {
"protocolId": "51ed0edd-e664-4322-b968-c2c344e9bff6",
"name": "sample string 2",
"materialId": "86c4ffa5-c923-44b5-af44-f75edfc4efa8",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"payloadId": "6346f774-69e3-4ec3-9b3b-6cafbc658a88",
"nozzle": "sample string 6",
"Material": {
"materialId": "c141e4f4-7386-4dcc-b9db-6aa7108c236a",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"Payload": {
"payloadId": "63471a46-5aef-4c2a-84ba-d902294c9800",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
}
},
"ApprovedStatus": {
"statusId": "ea99a876-833e-4c53-951c-8f5fd1dc7e15",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"ExecutionStatus": {
"statusId": "ea99a876-833e-4c53-951c-8f5fd1dc7e15",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
}
},
{
"taskId": "26cfebc7-fbbd-4f01-a5fa-e6a5549139aa",
"customerId": "424235fc-8772-4e7a-86be-7752f636bb9a",
"fieldId": "28abcb75-10a1-4c67-950d-7751649cae24",
"materialId": "b916db14-b190-4f17-8f81-a6ef24fb5bd8",
"protocolId": "5d873dbf-817a-460e-acce-fa8e2a57a5d7",
"statusId": "17775cb1-7032-4365-82bb-713927f3c44e",
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"executionDate": "2026-03-20T18:46:16.4245951+00:00",
"executionTeam": "sample string 8",
"pilotId": "dffdda24-8f42-4c6a-bbbb-626e84ddaeec",
"approvedExecutionDate": "2026-03-20T18:46:16.4245951+00:00",
"approvedStatusId": "8120d157-6c4f-44e9-8932-c954807265b5",
"scheduledDate": "2026-03-20T18:46:16.4245951+00:00",
"scheduledTeam": "sample string 9",
"executionStatusId": "148f7908-a83d-4c71-9ef5-b0aa57645924",
"Customer": {
"customerId": "e73d6404-e970-4650-81f1-7dcf5a19e336",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:46:16.4245951+00:00"
},
"Material": {
"materialId": "c141e4f4-7386-4dcc-b9db-6aa7108c236a",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"Pilot": {
"pilotId": "83d17c07-f766-4a24-9914-8170abe34b55",
"name": "sample string 2",
"pilotTypeId": "5507d6d9-0381-41bb-85b1-01fc50b955ea",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"PilotType": {
"pilotTypeId": "26edb9c4-8ddd-4d12-9364-16032ac6a941",
"name": "sample string 2"
}
},
"Status": {
"statusId": "ea99a876-833e-4c53-951c-8f5fd1dc7e15",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"Field": {
"fieldId": "ae731140-9204-4b48-bd5d-d6aa3b45aafc",
"customerId": "f6199996-0d56-47a1-ad27-b9395f86efa9",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "e73d6404-e970-4650-81f1-7dcf5a19e336",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:46:16.4245951+00:00"
}
},
"Protocol": {
"protocolId": "51ed0edd-e664-4322-b968-c2c344e9bff6",
"name": "sample string 2",
"materialId": "86c4ffa5-c923-44b5-af44-f75edfc4efa8",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:46:16.4245951+00:00",
"payloadId": "6346f774-69e3-4ec3-9b3b-6cafbc658a88",
"nozzle": "sample string 6",
"Material": {
"materialId": "c141e4f4-7386-4dcc-b9db-6aa7108c236a",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"Payload": {
"payloadId": "63471a46-5aef-4c2a-84ba-d902294c9800",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
}
},
"ApprovedStatus": {
"statusId": "ea99a876-833e-4c53-951c-8f5fd1dc7e15",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
},
"ExecutionStatus": {
"statusId": "ea99a876-833e-4c53-951c-8f5fd1dc7e15",
"name": "sample string 2",
"createdDate": "2026-03-20T18:46:16.4245951+00:00"
}
}
]
text/html
Sample:
[{"taskId":"26cfebc7-fbbd-4f01-a5fa-e6a5549139aa","customerId":"424235fc-8772-4e7a-86be-7752f636bb9a","fieldId":"28abcb75-10a1-4c67-950d-7751649cae24","materialId":"b916db14-b190-4f17-8f81-a6ef24fb5bd8","protocolId":"5d873dbf-817a-460e-acce-fa8e2a57a5d7","statusId":"17775cb1-7032-4365-82bb-713927f3c44e","createdDate":"2026-03-20T18:46:16.4245951+00:00","executionDate":"2026-03-20T18:46:16.4245951+00:00","executionTeam":"sample string 8","pilotId":"dffdda24-8f42-4c6a-bbbb-626e84ddaeec","approvedExecutionDate":"2026-03-20T18:46:16.4245951+00:00","approvedStatusId":"8120d157-6c4f-44e9-8932-c954807265b5","scheduledDate":"2026-03-20T18:46:16.4245951+00:00","scheduledTeam":"sample string 9","executionStatusId":"148f7908-a83d-4c71-9ef5-b0aa57645924","Customer":{"customerId":"e73d6404-e970-4650-81f1-7dcf5a19e336","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:46:16.4245951+00:00"},"Material":{"materialId":"c141e4f4-7386-4dcc-b9db-6aa7108c236a","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"Pilot":{"pilotId":"83d17c07-f766-4a24-9914-8170abe34b55","name":"sample string 2","pilotTypeId":"5507d6d9-0381-41bb-85b1-01fc50b955ea","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:46:16.4245951+00:00","PilotType":{"pilotTypeId":"26edb9c4-8ddd-4d12-9364-16032ac6a941","name":"sample string 2"}},"Status":{"statusId":"ea99a876-833e-4c53-951c-8f5fd1dc7e15","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"Field":{"fieldId":"ae731140-9204-4b48-bd5d-d6aa3b45aafc","customerId":"f6199996-0d56-47a1-ad27-b9395f86efa9","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:46:16.4245951+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"e73d6404-e970-4650-81f1-7dcf5a19e336","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:46:16.4245951+00:00"}},"Protocol":{"protocolId":"51ed0edd-e664-4322-b968-c2c344e9bff6","name":"sample string 2","materialId":"86c4ffa5-c923-44b5-af44-f75edfc4efa8","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:46:16.4245951+00:00","payloadId":"6346f774-69e3-4ec3-9b3b-6cafbc658a88","nozzle":"sample string 6","Material":{"materialId":"c141e4f4-7386-4dcc-b9db-6aa7108c236a","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"Payload":{"payloadId":"63471a46-5aef-4c2a-84ba-d902294c9800","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"}},"ApprovedStatus":{"statusId":"ea99a876-833e-4c53-951c-8f5fd1dc7e15","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"ExecutionStatus":{"statusId":"ea99a876-833e-4c53-951c-8f5fd1dc7e15","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"}},{"taskId":"26cfebc7-fbbd-4f01-a5fa-e6a5549139aa","customerId":"424235fc-8772-4e7a-86be-7752f636bb9a","fieldId":"28abcb75-10a1-4c67-950d-7751649cae24","materialId":"b916db14-b190-4f17-8f81-a6ef24fb5bd8","protocolId":"5d873dbf-817a-460e-acce-fa8e2a57a5d7","statusId":"17775cb1-7032-4365-82bb-713927f3c44e","createdDate":"2026-03-20T18:46:16.4245951+00:00","executionDate":"2026-03-20T18:46:16.4245951+00:00","executionTeam":"sample string 8","pilotId":"dffdda24-8f42-4c6a-bbbb-626e84ddaeec","approvedExecutionDate":"2026-03-20T18:46:16.4245951+00:00","approvedStatusId":"8120d157-6c4f-44e9-8932-c954807265b5","scheduledDate":"2026-03-20T18:46:16.4245951+00:00","scheduledTeam":"sample string 9","executionStatusId":"148f7908-a83d-4c71-9ef5-b0aa57645924","Customer":{"customerId":"e73d6404-e970-4650-81f1-7dcf5a19e336","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:46:16.4245951+00:00"},"Material":{"materialId":"c141e4f4-7386-4dcc-b9db-6aa7108c236a","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"Pilot":{"pilotId":"83d17c07-f766-4a24-9914-8170abe34b55","name":"sample string 2","pilotTypeId":"5507d6d9-0381-41bb-85b1-01fc50b955ea","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:46:16.4245951+00:00","PilotType":{"pilotTypeId":"26edb9c4-8ddd-4d12-9364-16032ac6a941","name":"sample string 2"}},"Status":{"statusId":"ea99a876-833e-4c53-951c-8f5fd1dc7e15","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"Field":{"fieldId":"ae731140-9204-4b48-bd5d-d6aa3b45aafc","customerId":"f6199996-0d56-47a1-ad27-b9395f86efa9","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:46:16.4245951+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"e73d6404-e970-4650-81f1-7dcf5a19e336","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:46:16.4245951+00:00"}},"Protocol":{"protocolId":"51ed0edd-e664-4322-b968-c2c344e9bff6","name":"sample string 2","materialId":"86c4ffa5-c923-44b5-af44-f75edfc4efa8","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:46:16.4245951+00:00","payloadId":"6346f774-69e3-4ec3-9b3b-6cafbc658a88","nozzle":"sample string 6","Material":{"materialId":"c141e4f4-7386-4dcc-b9db-6aa7108c236a","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"Payload":{"payloadId":"63471a46-5aef-4c2a-84ba-d902294c9800","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"}},"ApprovedStatus":{"statusId":"ea99a876-833e-4c53-951c-8f5fd1dc7e15","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"},"ExecutionStatus":{"statusId":"ea99a876-833e-4c53-951c-8f5fd1dc7e15","name":"sample string 2","createdDate":"2026-03-20T18:46:16.4245951+00:00"}}]